## openstack-trove 6.0.0~b2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
WebOb>=1.2.3 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
netifaces>=0.10.4 # MIT
httplib2>=0.7.5 # MIT
lxml>=2.3 # BSD
passlib>=1.6 # BSD
python-heatclient>=1.1.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0
python-neutronclient>=4.2.0 # Apache-2.0
iso8601>=0.1.11 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
Jinja2>=2.8 # BSD License (3 clause)
pexpect!=3.3,>=3.1 # ISC License
oslo.config>=3.10.0 # Apache-2.0
oslo.context>=2.4.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
PyMySQL>=0.6.2 # MIT License
Babel>=2.3.4 # BSD
six>=1.9.0 # MIT
stevedore>=1.10.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
osprofiler>=1.3.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

=== debian/changelog ===
openstack-trove (1:6.0.0~b2-3+4~bpo8+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Fixed missing swiftclient EPOC.
  * Add: use-realpath-function-to-find-my.cnf-in-debian.patch.

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 22:34:34 +0000

openstack-trove (1:6.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed / rebased all patches.
  * Blacklist a bunch of unit tests which are trying to write in /etc:
    test_template.HeatTemplateLoadTest.test_heat_template_load_success
    test_template.HeatTemplateLoadTest.test_no_rules_if_no_ports
    test_...HeatTemplateLoadTest.test_render_templates_with_ports_from_config
    test_template.TemplateTest.test_renderer_discovers_special_config
    test_template.TemplateTest.test_rendering
    test_template.TemplateTest.test_replica_config_rendering
    test_template.TemplateTest.test_replica_source_config_rendering
    test_template.TemplateTest.test_single_instance_config_rendering
    taskmanager.test_models.BuiltInstanceTasksTest.test_error_attach_replica
  * Using @testtools.skip() to blacklist tests.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jul 2016 14:59:14 +0200

=== debian/control ===
Source: openstack-trove
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: iproute2,
                     net-tools,
                     python-babel (>= 2.3.4),
                     python-cassandra,
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage,
                     python-crypto,
                     python-designateclient (>= 1.5.0),
                     python-enum34,
                     python-eventlet (>= 0.18.4),
                     python-fs,
                     python-gdata,
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 1.1.0),
                     python-httplib2,
                     python-iso8601 (>= 0.1.11),
                     python-jinja2 (>= 2.8),
                     python-jsonschema,
                     python-keyczar,
                     python-keystoneclient (>= 1:1.7.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-mox3,
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-netifaces,
                     python-neutronclient (>= 1:4.2.0),
                     python-nose,
                     python-nosexcover,
                     python-novaclient (>= 2:2.29.0),
                     python-openstack-doc-tools (>= 0.23),
                     python-openstack.nose-plugin,
                     python-openstackdocstheme (>= 1.0.3),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.10.0),
                     python-oslo.context (>= 2.4.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.15.0),
                     python-oslosphinx (>= 2.5.0),
                     python-osprofiler (>= 1.3.0),
                     python-os-testr (>= 0.7.0),
                     python-passlib (>= 1.6),
                     python-paste,
                     python-pastedeploy,
                     python-pexpect,
                     python-proboscis,
                     python-psycopg2 (>= 2.5),
                     python-pymongo (>= 3.0.2),
                     python-pymysql (>= 0.6.2),
                     python-redis (>= 2.10.0),
                     python-routes,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.10.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-testtools (>= 1.4.0),
                     python-troveclient (>= 1:2.2.0),
                     python-webob,
                     python-webtest,
                     python-wsgi-intercept,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-trove?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-trove -b debian/newton
Homepage: https://github.com/openstack/trove

Package: python-trove
Architecture: all
Section: python
Depends: python-babel (>= 2.3.4),
         python-cinderclient (>= 1:1.6.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.4),
         python-enum34,
         python-heatclient (>= 1.1.0),
         python-httplib2,
         python-iso8601 (>= 0.1.11),
         python-jinja2 (>= 2.8),
         python-jsonschema,
         python-keystoneclient (>= 1:1.7.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml,
         python-migrate (>= 0.9.6),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-netifaces,
         python-neutronclient (>= 1:4.2.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.10.0),
         python-oslo.context (>= 2.4.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.15.0),
         python-osprofiler (>= 1.3.0),
         python-passlib (>= 1.6),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pexpect,
         python-pymysql (>= 0.6.2),
         python-routes,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.10.0),
         python-swiftclient (>= 1:2.2.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Conflicts: python-cjson,
Description: Database as a Service for OpenStack - Python lib
 Trove is "Database as a Service" for Openstack. It's designed to allow users
 to quickly and easily utilize the features of a relational database without
 the burden of handling complex administrative tasks.
 .
 Cloud users and database administrators can provision and manage multiple
 database instances as needed. The service focus on providing resource
 isolation at high performance while automating deployment, configuration,
 patching, backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove Python library.

Package: trove-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-trove (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Description: Database as a Service for OpenStack - common files
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove common files.

Package: trove-api
Architecture: all
Depends: adduser,
         trove-common (= ${binary:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: Database as a Service for OpenStack - API server
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove API server. The trove-api service provides a
 RESTful API that supports JSON and XML to provision and manage Trove
 instances.

Package: trove-guestagent
Architecture: all
Depends: adduser,
         trove-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Database as a Service for OpenStack - guest agent
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove guest agent. The guestagent is a service that
 runs within the guest instance, responsible for managing and performing
 operations on the Database itself. The Guest Agent listens for RPC messages
 through the message bus and performs the requested operation.

Package: trove-taskmanager
Architecture: all
Depends: adduser,
         trove-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Database as a Service for OpenStack - taskmanager
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove taskmanager. The trove-taskmanager service
 does the heavy lifting as far as provisioning instances, managing the
 lifecycle of instances, and performing operations on the Database instance.

Package: trove-conductor
Architecture: all
Depends: adduser,
         trove-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Database as a Service for OpenStack - conductor
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating

## openstack-trove 6.0.0~b3

=== requirements.txt ===
--- 
+++ 
@@ -16,31 +16,32 @@
 httplib2>=0.7.5 # MIT
 lxml>=2.3 # BSD
 passlib>=1.6 # BSD
-python-heatclient>=1.1.0 # Apache-2.0
+python-heatclient>=1.4.0 # Apache-2.0
 python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
 python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
-python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
+python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
 python-swiftclient>=2.2.0 # Apache-2.0
 python-designateclient>=1.5.0 # Apache-2.0
-python-neutronclient>=4.2.0 # Apache-2.0
+python-neutronclient>=5.1.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
 jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
 Jinja2>=2.8 # BSD License (3 clause)
 pexpect!=3.3,>=3.1 # ISC License
-oslo.config>=3.10.0 # Apache-2.0
-oslo.context>=2.4.0 # Apache-2.0
+oslo.config>=3.14.0 # Apache-2.0
+oslo.context>=2.9.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.middleware>=3.0.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.service>=1.10.0 # Apache-2.0
-oslo.utils>=3.14.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
 PyMySQL>=0.6.2 # MIT License
 Babel>=2.3.4 # BSD
 six>=1.9.0 # MIT
-stevedore>=1.10.0 # Apache-2.0
+stevedore>=1.16.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0
-osprofiler>=1.3.0 # Apache-2.0
+osprofiler>=1.4.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
-oslo.db>=4.1.0 # Apache-2.0
+oslo.db>=4.10.0 # Apache-2.0
 enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
+xmltodict>=0.10.1 # MIT

=== debian/changelog ===
openstack-trove (1:6.0.0~b3-1+164~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 21 Sep 2016 15:14:46 +0000

openstack-trove (1:6.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Refreshed patches:
    - Fix-apischema-for-boolean_string.patch
    - better-default-config.patch
    - blacklist-failing-tests.patch
    - use-realpath-function-to-find-my.cnf-in-debian.patch
  * Fixed missing swiftclient EPOC.
  * Add: use-realpath-function-to-find-my.cnf-in-debian.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2016 16:03:49 +0200

## openstack-trove 6.0.0~rc1

=== requirements.txt ===
--- 
+++ 
@@ -35,13 +35,13 @@
 oslo.service>=1.10.0 # Apache-2.0
 oslo.utils>=3.16.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
-PyMySQL>=0.6.2 # MIT License
+PyMySQL!=0.7.7,>=0.6.2 # MIT License
 Babel>=2.3.4 # BSD
 six>=1.9.0 # MIT
 stevedore>=1.16.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
-oslo.db>=4.10.0 # Apache-2.0
+oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
 enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
 xmltodict>=0.10.1 # MIT

=== debian/changelog ===
openstack-trove (1:6.0.0~rc1-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 19:44:50 +0000

openstack-trove (1:6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Refreshed patches:
    - Fix-apischema-for-boolean_string.patch
    - better-default-config.patch
    - blacklist-failing-tests.patch
    - use-realpath-function-to-find-my.cnf-in-debian.patch
  * Fixed missing swiftclient EPOC.
  * Add: use-realpath-function-to-find-my.cnf-in-debian.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2016 16:03:49 +0200

=== debian/control ===
--- 
+++ 
@@ -25,13 +25,13 @@
                      python-fs,
                      python-gdata,
                      python-hacking (>= 0.10.0),
-                     python-heatclient (>= 1.1.0),
+                     python-heatclient (>= 1.4.0),
                      python-httplib2,
                      python-iso8601 (>= 0.1.11),
                      python-jinja2 (>= 2.8),
                      python-jsonschema,
                      python-keyczar,
-                     python-keystoneclient (>= 1:1.7.0),
+                     python-keystoneclient (>= 1:2.0.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-lxml,
                      python-migrate (>= 0.9.6),
@@ -40,26 +40,26 @@
                      python-mysqldb,
                      python-netaddr (>= 0.7.12),
                      python-netifaces,
-                     python-neutronclient (>= 1:4.2.0),
+                     python-neutronclient (>= 1:5.1.0),
                      python-nose,
                      python-nosexcover,
                      python-novaclient (>= 2:2.29.0),
-                     python-openstack-doc-tools (>= 0.23),
                      python-openstack.nose-plugin,
-                     python-openstackdocstheme (>= 1.0.3),
+                     python-openstackdocstheme (>= 1.5.0),
+                     python-os-api-ref,
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.10.0),
-                     python-oslo.context (>= 2.4.0),
-                     python-oslo.db (>= 4.1.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.context (>= 2.9.0),
+                     python-oslo.db (>= 4.10.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 2.0.0),
                      python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.15.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-osprofiler (>= 1.3.0),
+                     python-osprofiler (>= 1.4.0),
                      python-os-testr (>= 0.7.0),
                      python-passlib (>= 1.6),
                      python-paste,
@@ -73,18 +73,19 @@
                      python-routes,
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.16.0),
                      python-swiftclient (>= 1:2.2.0),
                      python-testtools (>= 1.4.0),
                      python-troveclient (>= 1:2.2.0),
                      python-webob,
                      python-webtest,
                      python-wsgi-intercept,
+                     python-xmltodict (>= 0.10.1),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-trove?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-trove -b debian/newton
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-openstack-trove?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-openstack-trove -b debian/newton
 Homepage: https://github.com/openstack/trove
 
 Package: python-trove
@@ -95,32 +96,32 @@
          python-designateclient (>= 1.5.0),
          python-eventlet (>= 0.18.4),
          python-enum34,
-         python-heatclient (>= 1.1.0),
+         python-heatclient (>= 1.4.0),
          python-httplib2,
          python-iso8601 (>= 0.1.11),
          python-jinja2 (>= 2.8),
          python-jsonschema,
-         python-keystoneclient (>= 1:1.7.0),
+         python-keystoneclient (>= 1:2.0.0),
          python-keystonemiddleware (>= 4.0.0),
          python-lxml,
          python-migrate (>= 0.9.6),
          python-mysqldb,
          python-netaddr (>= 0.7.12),
          python-netifaces,
-         python-neutronclient (>= 1:4.2.0),
+         python-neutronclient (>= 1:5.1.0),
          python-novaclient (>= 2:2.29.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.10.0),
-         python-oslo.context (>= 2.4.0),
-         python-oslo.db (>= 4.1.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.context (>= 2.9.0),
+         python-oslo.db (>= 4.10.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 2.0.0),
          python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.15.0),
-         python-osprofiler (>= 1.3.0),
+         python-oslo.utils (>= 3.16.0),
+         python-osprofiler (>= 1.4.0),
          python-passlib (>= 1.6),
          python-paste,
          python-pastedeploy,
@@ -130,9 +131,10 @@
          python-routes,
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.16.0),
          python-swiftclient (>= 1:2.2.0),
          python-webob,
+         python-xmltodict (>= 0.10.1),
          ${misc:Depends},
          ${python:Depends},
 Conflicts: python-cjson,
@@ -258,4 +260,3 @@
  features of a relational database without the burden of handling complex
  administrative tasks. Cloud users and database administrators can provision
  and manage multiple database instances as needed. Initially, the service will
- focus on providing resource isolation at high performance while automating

## openstack-trove 6.0.0

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PasteDeploy>=1.5.0 # MIT
 Paste # MIT
 sqlalchemy-migrate>=0.9.6 # Apache-2.0
-netaddr!=0.7.16,>=0.7.12 # BSD
+netaddr!=0.7.16,>=0.7.13 # BSD
 netifaces>=0.10.4 # MIT
 httplib2>=0.7.5 # MIT
 lxml>=2.3 # BSD

=== debian/changelog ===
openstack-trove (1:6.0.0-3) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858715).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 18:56:38 +0200

openstack-trove (1:6.0.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends
  * Patch-out upper constraints of SQLAlchemy

  [ Thomas Goirand ]
  * Added Brazilian Portuguese debconf templates translation (Closes: #850971).
  * Updated German debconf translation (Closes: #842483).

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 11:53:30 +0100

openstack-trove (1:6.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 18:19:45 +0200

openstack-trove (1:6.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Debconf translation:
    - it (Closes: #839080).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 09:20:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 40~),
+               openstack-pkg-tools (>= 54~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -38,7 +38,7 @@
                      python-mock (>= 2.0),
                      python-mox3,
                      python-mysqldb,
-                     python-netaddr (>= 0.7.12),
+                     python-netaddr (>= 0.7.13),
                      python-netifaces,
                      python-neutronclient (>= 1:5.1.0),
                      python-nose,
@@ -106,7 +106,7 @@
          python-lxml,
          python-migrate (>= 0.9.6),
          python-mysqldb,
-         python-netaddr (>= 0.7.12),
+         python-netaddr (>= 0.7.13),
          python-netifaces,
          python-neutronclient (>= 1:5.1.0),
          python-novaclient (>= 2:2.29.0),
@@ -179,6 +179,7 @@
 Package: trove-api
 Architecture: all
 Depends: adduser,
+         lsb-base,
          trove-common (= ${binary:Version}),
          python-openstackclient,
          q-text-as-data,
@@ -204,6 +205,7 @@
 Package: trove-guestagent
 Architecture: all
 Depends: adduser,
+         lsb-base,
          trove-common (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
@@ -228,6 +230,7 @@
 Package: trove-taskmanager
 Architecture: all
 Depends: adduser,
+         lsb-base,
          trove-common (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
@@ -251,6 +254,7 @@
 Package: trove-conductor
 Architecture: all
 Depends: adduser,
+         lsb-base,
          trove-common (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
@@ -259,4 +263,3 @@
  OpenStack, with the goal of allowing users to quickly and easily utilize the
  features of a relational database without the burden of handling complex
  administrative tasks. Cloud users and database administrators can provision
- and manage multiple database instances as needed. Initially, the service will

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

UPSTREAM_GIT := https://github.com/openstack/trove.git

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/trove-common.postinst
	rm -f debian/trove-common.config
	rm -f debian/trove-api.postinst
	rm -f debian/trove-api.config
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-api.config

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/trove-doc/usr/share/doc/trove-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-trove; \
	done
	# Install the config files in the different binary packages
	# -guestagent
	install -D -m 0664 $(CURDIR)/etc/trove/trove-guestagent.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-guestagent.conf
	# -taskmanager
	install -D -m 0664 $(CURDIR)/etc/trove/trove-taskmanager.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-taskmanager.conf
	# -conductor
	install -D -m 0664 $(CURDIR)/etc/trove/trove-conductor.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-conductor.conf
	# -common
	install -D -m 0664 $(CURDIR)/etc/trove/trove.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf
	# We want neutron by default, not nova-network
	pkgos-fix-config-default $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf DEFAULT network_driver	trove.network.neutron.NeutronDriver

	# Use nova config drive by default
	pkgos-fix-config-default $(CURDIR)/debian/trove-common/usr/share/trove-common/trove-taskmanager.conf DEFAULT use_nova_server_config_drive True

	install -D -m 0664 $(CURDIR)/etc/trove/api-paste.ini $(CURDIR)/debian/trove-common/usr/share/trove-common/api-paste.ini

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit '(?!(.*guestagent\.test_dbaas\.MySqlAppTest\.test__wait_for_slave_status.*|.*taskmanager\.test_models\.BuiltInstanceTasksTest\.test_error_attach_replica.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif
